Search documentation of snmp

# snmpa_error_report behaviour (snmp v5.19.1)

View Source

Behaviour module for reporting SNMP agent errors

This module defines the behaviour of the agent error reporting. A `snmpa_error_report` compliant module must export the following functions:

- config_err/2
- user_err/2

The semantics of them and their exact signatures are explained below.

# Summary

## Callbacks

config_err(Format, Args)

The function is called if an error occurs during the configuration phase, for example if a syntax error is found in a configuration file.

user_err(Format, Args)

The function is called if a user related error occurs at run-time, for example if a user defined instrumentation function returns erroneous.

# Callbacks

# config_err(Format, Args)

    -callback config_err(Format, Args) -> snmp:void() when Format :: string(), Args :: [term()].

The function is called if an error occurs during the configuration phase, for example if a syntax error is found in a configuration file.

`Format` and `Args` are as in `io:format(Format, Args)`.

# user_err(Format, Args)

    -callback user_err(Format, Args) -> snmp:void() when Format :: string(), Args :: [term()].

The function is called if a user related error occurs at run-time, for example if a user defined instrumentation function returns erroneous.

`Format` and `Args` are as in `io:format(Format, Args)`.